import Step from '../Step';
import LocationSelectorMap from './Map'
import StepInformation from '../StepInformation';
import staticText from '../../../assets/data/staticText.json'
import locationBackgroundImage from '../../../assets/img/stepBackgrounds/step1.jpg';

export default function LocationStep(props) {

    const locationInfoPanel = (
        <StepInformation
            title={staticText.steps.location.title}
            description={<p>{staticText.steps.location.description}</p>}
        />
    )

    const locationSelectionPanel = (
        <LocationSelectorMap {...props} />
    )

    return (
        <Step informationComponent={locationInfoPanel} selectionComponent={locationSelectionPanel} backgroundImage={locationBackgroundImage} />
    )
}
